<div fxFlex fxLayoutGap="10px" fxLayoutAlign="start center">
    <button mat-button (click)="changeSortOrderAction()">
        {{"BOOK.LIST.ACTION_BAR.BUTTON_ORDER" | translate}}
        <ng-container *ngIf="isSortOrderAsc$ | async; else descIcon">
            <fa-icon [icon]="['fas', 'sort-alpha-up']"></fa-icon>
        </ng-container>
        <ng-template #descIcon>
            <fa-icon [icon]="['fas', 'sort-alpha-down']"></fa-icon>
        </ng-template>
    </button>
    <mat-slide-toggle
            color="primary"
            [checked]="isGroupedByEditors$ | async"
            (change)="changeDisplayAction($event)">
        {{"BOOK.LIST.ACTION_BAR.GROUP_BY" | translate}}
    </mat-slide-toggle>
    <div fxFlex fxLayoutGap="2rem" fxLayoutAlign="end center" [formGroup]="form">
        <mat-form-field appearance="outline" subscriptSizing="dynamic">
            <mat-label>
                {{"BOOK.LIST.FILTER.BOOK_STATUS" | translate}}
            </mat-label>
            <mat-select formControlName="status" multiple>
                <mat-option *ngFor="let bookStatus of statusValues" [value]="bookStatus">
                    {{'BOOK.STATE.' + bookStatus | translate}}
                </mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field appearance="outline" subscriptSizing="dynamic">
            <mat-label>
                {{"BOOK.LIST.FILTER.BOOK_TYPE" | translate}}
            </mat-label>
            <mat-select formControlName="bookTypes" multiple>
                <mat-option *ngFor="let bookType of ( bookTypes$ |async)" [value]="bookType.name">
                    {{bookType.name}}
                </mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field appearance="outline" subscriptSizing="dynamic">
            <mat-label *ngIf="isGroupedByEditors$ | async">
                {{"BOOK.LIST.FILTER.EDITOR" | translate}}
            </mat-label>
            <mat-label *ngIf="(isGroupedByEditors$ | async) === false">
                {{"BOOK.LIST.FILTER.INITIAL" | translate}}
            </mat-label>
            <mat-select formControlName="groups" multiple>
                <mat-option *ngFor="let group of (groups | async)" [value]="group">{{group}}</mat-option>
            </mat-select>
        </mat-form-field>

        <mat-form-field appearance="outline" subscriptSizing="dynamic">
            <mat-label>
                {{"BOOK.LIST.FILTER.SERIES" | translate}}
            </mat-label>
            <mat-select formControlName="series" multiple>
                <mat-option *ngFor="let seriesName of series | async" [value]="seriesName">
                    {{seriesName}}
                </mat-option>
            </mat-select>
        </mat-form-field>
    </div>
</div>
